Bug 832397 - [FEAT] cli command to change user's email address
[FEAT] cli command to change user's email address
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
0.8
Unspecified Unspecified
low Severity low (vote)
: 0.12
: ---
Assigned To: Qixiang Wan
Amit Saha
CommandLineEnhancement
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 06:19 EDT by Ales Zelinka
Modified: 2015-07-26 18:14 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-11 00:55:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Zelinka 2012-06-15 06:19:05 EDT
Description of problem:
I have a special account for beaker (one not tied to a personal kerberos principal) and and I can't use it to log into the web UI (to change the email in preferences).
No error message is displayed, just the login prompt appears again and again. 

The same username/password works well when used from cmdline. 


Version-Release number of selected component (if applicable):
Version - 0.8.2
Comment 1 Bill Peck 2012-06-15 09:29:12 EDT
The webui is restricted to kerberos only.  I don't have a solution to this right now.
Comment 2 Qixiang Wan 2013-02-04 04:35:20 EST
I think we can provide a new cli command to support changing email address via cli.

Hi Ales, are you ok with a new cli command to achieve that?
Comment 3 Ales Zelinka 2013-02-04 06:30:06 EST
Hi, yes that would work for my use-case. thanks.
Comment 4 Qixiang Wan 2013-02-05 00:09:46 EST
on gerrit: http://gerrit.beaker-project.org/#/c/1694/
Comment 6 Min Shin 2013-02-12 02:29:56 EST
(In reply to comment #4)
> on gerrit: http://gerrit.beaker-project.org/#/c/1694/

Please update a related user guide document with the new feature, please.
http://beaker-project.org/docs/user-guide/user-preferences.html
Comment 7 Qixiang Wan 2013-03-05 01:51:11 EST
(In reply to comment #6)
> Please update a related user guide document with the new feature, please.
> http://beaker-project.org/docs/user-guide/user-preferences.html

Sorry, just found I missed your comment here. I checked the user-guide, seems all the sections under "Beaker interface" are focusing on the features provided via web UI. This [FEAT] is just a new cli command and doesn't bring any change in user preference page. So I think it's ok to leave the document as it before.
Comment 10 Dan Callaghan 2013-04-11 00:55:43 EDT
Beaker 0.12 has been released.

Note You need to log in before you can comment on or make changes to this bug.